Description

fill the description as detailed as you can, don't hesitate to describe precisely how this feature should behave, try to add what

benefits you're excepting from it

There should be two delete control's right next to the Activate control for each registered user.  These two controls should both delete

the registered un-activated user.  One control deletes the user and sends an email saying the account request has been declined,

the other control deletes the request silently, without sending an email.

Alternately, it should be possible to use a check mark box arrangement where you can select multiple/all pending un activated users

for either one of the delete actions (with our without email notification).

Today - robotic attempts to get an account forever occupy the registered user list, making it hard to find valid new user requests.

There is no good reason to keep invalid registration attempts in the database forever, and many good reasons to allow their deletion.

Related issues:

Related to Redmine - Feature #7296: Ability for admin to delete users Closed 2011-01-11

Has duplicate Redmine - Defect #3570: Delete registered user Closed 2009-07-01

Has duplicate Redmine - Feature #3611: Removing a register user Closed 2009-07-13

Has duplicate Redmine - Feature #4689: Removing non activated users from the ... Closed

History

#1 - 2009-06-10 20:07 - Eric Davis

There was a discussion about this here http://www.redmine.org/boards/2/topics/5649

#2 - 2009-06-10 20:20 - Ammler _

This feature could also depend on the type, how someone gets active. We use "selfactivation" over email, so it should also self deletion after the user

didn't activate for a settable time, default 48h?

Thas is my opinion for one settings. :-)

#3 - 2009-06-27 22:11 - Bill Richardson

Hi, new to Redmine...

A necessary addition to the above feature is "resend activation email". I've written account activation systems from scratch for several customers, and

there are always users who call/write and say "I didn't get my activation", usually due to spam blocking. Admins need the ability to resend the

activation from the pending user record. Otherwise, we have to delete the user and start over, or worse yet, tell the user they're SOL and need to sign

up again with a new email address.

Thanks,

Bill

#4 - 2009-06-29 23:12 - colin moock

+1

#5 - 2009-06-30 21:32 - Bill Richardson

Regarding the 'resending account activation' comment above, I've added a new feature issue to handle further discussion on this topic. I've also

included a simple workaround for resending account activations. Find it here:

2025-05-01 1/2

http://www.redmine.org/boards/2/topics/5649


http://www.redmine.org/issues/3566

#6 - 2009-07-30 19:05 - Anthony Cartmell

+1

Being able to delete never-activated users would be most useful. If a user is in the "registered" state, they can't have done anything yet: so it must be

safe to delete them from the users table, thus freeing up their email address, username, etc. for someone else to use.

#7 - 2009-09-29 23:58 - Bruno Medeiros

+1

It's a very necessary feature since public instances of Redmine have a lot of unaccepted users that couldn't be erased.

Is safe to manual delete on database as a workaround?

#8 - 2010-11-16 11:43 - Gauthier Brion

+1

#9 - 2010-11-16 11:58 - Ammler _

I run from time to time those 2 queries:

DELETE FROM tokens WHERE action='register' and created_on < now() - INTERVAL 7 DAY;# 114 row(s) affected.

DELETE FROM users WHERE status=2 and created_on < now() - INTERVAL 7 DAY;# 114 row(s) affected.

#10 - 2011-01-16 17:02 - Jean-Philippe Lang

- Category set to Accounts / authentication

Administrators are now able to delete any user (see #6751).

There is no notification for not yet activated users. May be added later.

#11 - 2011-01-16 18:58 - colin moock

thank you!!
